Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

PSoC™ Creator & Designer

EthanHQaQ
Level 1
First question asked Welcome!
Level 1

Hello,

Recently I tried to use StripLights component from WS281xLib on the CY8C4146AXI-S455, while I met the error seen as attached. 

Is that because the CY8C41 family doesn't support the components? It was working when I changed the device to CY8C4247AZI-L445.

Appreciate that someone can tell me the reason.

And suggest the better solution to light the strip LEDs on the CY8C4146AXI-S455.

Best Regards,

Ethan

0 Likes
1 Solution
BiBi_1928986
Level 7
250 replies posted 250 sign-ins 100 solutions authored
Level 7

Hello.

You are correct.  PSoC 4146 is missing the UDB component.  4146 won't support the library component WS281xLib.

Here's a link where someone ported an Arduino implementation over to PSoC 4, using GPIO's.
https://www.hackster.io/juanespj/psoc-neopixel-easy-lightweight-library-ac6884
https://github.com/juanespj/PSoC_Neopixel

Good luck with your project.

View solution in original post

0 Likes
1 Reply
BiBi_1928986
Level 7
250 replies posted 250 sign-ins 100 solutions authored
Level 7

Hello.

You are correct.  PSoC 4146 is missing the UDB component.  4146 won't support the library component WS281xLib.

Here's a link where someone ported an Arduino implementation over to PSoC 4, using GPIO's.
https://www.hackster.io/juanespj/psoc-neopixel-easy-lightweight-library-ac6884
https://github.com/juanespj/PSoC_Neopixel

Good luck with your project.

0 Likes